## mx4j.tools.remote
Interface JMXConnection

All Known Subinterfaces:
  HTTPConnection, LocalConnection

All Known Implementing Classes:
  AbstractServerInvoker, HTTPClientInvoker, HTTPConnectionHandler, HTTPServerInvoker, HTTPService, JMXConnectionHandler, SOAPClientInvoker

public interface JMXConnection

Version:
  $Revision: 1.3 $

Method Summary
`void` `addNotificationListener(javax.management.ObjectName name, javax.management.ObjectName listener, java.lang.Object filter, java.lang.Object handback, javax.security.auth.Subject delegate)`
`void` `close()`
`javax.management.ObjectInstance` `createMBean(java.lang.String className, javax.management.ObjectName name, javax.management.ObjectName loaderName, java.lang.Object params, java.lang.String[] signature, javax.security.auth.Subject delegate)`
`javax.management.ObjectInstance` `createMBean(java.lang.String className, javax.management.ObjectName name, java.lang.Object params, java.lang.String[] signature, javax.security.auth.Subject delegate)`
`java.lang.Object` `getAttribute(javax.management.ObjectName name, java.lang.String attribute, javax.security.auth.Subject delegate)`
`javax.management.AttributeList` `getAttributes(javax.management.ObjectName name, java.lang.String[] attributes, javax.security.auth.Subject delegate)`
`java.lang.String` `getDefaultDomain(javax.security.auth.Subject delegate)`
`java.lang.String[]` `getDomains(javax.security.auth.Subject delegate)`
`java.lang.Integer` `getMBeanCount(javax.security.auth.Subject delegate)`
`javax.management.MBeanInfo` `getMBeanInfo(javax.management.ObjectName name, javax.security.auth.Subject delegate)`
`javax.management.ObjectInstance` `getObjectInstance(javax.management.ObjectName name, javax.security.auth.Subject delegate)`
`java.lang.Object` `invoke(javax.management.ObjectName name, java.lang.String operationName, java.lang.Object params, java.lang.String[] signature, javax.security.auth.Subject delegate)`
`boolean` `isInstanceOf(javax.management.ObjectName name, java.lang.String className, javax.security.auth.Subject delegate)`
`boolean` `isRegistered(javax.management.ObjectName name, javax.security.auth.Subject delegate)`
`java.util.Set` `queryMBeans(javax.management.ObjectName name, java.lang.Object query, javax.security.auth.Subject delegate)`
`java.util.Set` `queryNames(javax.management.ObjectName name, java.lang.Object query, javax.security.auth.Subject delegate)`
`void` `removeNotificationListener(javax.management.ObjectName name, javax.management.ObjectName listener, java.lang.Object filter, java.lang.Object handback, javax.security.auth.Subject delegate)`
`void` `removeNotificationListener(javax.management.ObjectName name, javax.management.ObjectName listener, javax.security.auth.Subject delegate)`
`void` `setAttribute(javax.management.ObjectName name, java.lang.Object attribute, javax.security.auth.Subject delegate)`
`javax.management.AttributeList` `setAttributes(javax.management.ObjectName name, java.lang.Object attributes, javax.security.auth.Subject delegate)`
`void` `unregisterMBean(javax.management.ObjectName name, javax.security.auth.Subject delegate)`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName name,
                                                       java.lang.Object params,
                                                       java.lang.String[] signature,
                                                       javax.security.auth.Subject delegate)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       java.io.IOException

  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName name,
                                                       javax.management.ObjectName loaderName,
                                                       java.lang.Object params,
                                                       java.lang.String[] signature,
                                                       javax.security.auth.Subject delegate)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.io.IOException

  Throws:
    `javax.management.ReflectionException`
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName name,
                                javax.security.auth.Subject delegate)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanRegistrationException`
    `java.io.IOException`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName name,
                                                             javax.security.auth.Subject delegate)
                                                      throws javax.management.InstanceNotFoundException,
                                                             java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName name,
                                     java.lang.Object query,
                                     javax.security.auth.Subject delegate)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### queryNames

    public java.util.Set queryNames(javax.management.ObjectName name,
                                    java.lang.Object query,
                                    javax.security.auth.Subject delegate)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName name,
                                javax.security.auth.Subject delegate)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMBeanCount

    public java.lang.Integer getMBeanCount(javax.security.auth.Subject delegate)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName name,
                                         java.lang.String attribute,
                                         javax.security.auth.Subject delegate)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.io.IOException

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName name,
                                                        java.lang.String[] attributes,
                                                        javax.security.auth.Subject delegate)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttribute

    public void setAttribute(javax.management.ObjectName name,
                             java.lang.Object attribute,
                             javax.security.auth.Subject delegate)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName name,
                                                        java.lang.Object attributes,
                                                        javax.security.auth.Subject delegate)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### invoke

    public java.lang.Object invoke(javax.management.ObjectName name,
                                   java.lang.String operationName,
                                   java.lang.Object params,
                                   java.lang.String[] signature,
                                   javax.security.auth.Subject delegate)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### getDefaultDomain

    public java.lang.String getDefaultDomain(javax.security.auth.Subject delegate)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDomains

    public java.lang.String[] getDomains(javax.security.auth.Subject delegate)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName name,
                                                   javax.security.auth.Subject delegate)
                                            throws javax.management.InstanceNotFoundException,
                                                   javax.management.IntrospectionException,
                                                   javax.management.ReflectionException,
                                                   java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.IntrospectionException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName name,
                                java.lang.String className,
                                javax.security.auth.Subject delegate)
                         throws javax.management.InstanceNotFoundException,
                                java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName name,
                                        javax.management.ObjectName listener,
                                        java.lang.Object filter,
                                        java.lang.Object handback,
                                        javax.security.auth.Subject delegate)
                                 throws javax.management.InstanceNotFoundException,
                                        java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName name,
                                           javax.management.ObjectName listener,
                                           javax.security.auth.Subject delegate)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName name,
                                           javax.management.ObjectName listener,
                                           java.lang.Object filter,
                                           java.lang.Object handback,
                                           javax.security.auth.Subject delegate)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.